.front-banner {
  position: relative;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover; }
  .front-banner__background {
    --bg-section: var(--bg-dark);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    background-color: var(--bg-section); }
  .front-banner__dimming {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%; }
  .front-banner__video {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover; }
  .front-banner__swiper {
    --slide-padding-bottom: 8.125rem;
    --slide-padding-top: 5rem;
    position: relative;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
    -webkit-box-pack: stretch;
        -ms-flex-pack: stretch;
            justify-content: stretch;
    overflow: hidden; }
    @media screen and (min-width: 1921px) {
      .front-banner__swiper {
        --slide-padding-bottom: 6.77083vw;
        --slide-padding-top: 4.16667vw; } }
    @media screen and (max-width: 1700px) {
      .front-banner__swiper {
        --slide-padding-bottom: 9.375rem;
        --slide-padding-top: 3.125rem; } }
    @media screen and (max-width: 1360px) {
      .front-banner__swiper {
        --slide-padding-bottom: 6.875rem;
        --slide-padding-top: 4.375rem;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column; } }
    @media screen and (max-width: 750px) {
      .front-banner__swiper {
        --slide-padding-bottom: 5.625rem;
        --slide-padding-top: 3.125rem; } }
    .front-banner__swiper .swiper-wrapper {
      width: 100%;
      height: auto;
      -webkit-box-flex: 1;
          -ms-flex-positive: 1;
              flex-grow: 1; }
    .front-banner__swiper .swiper-slide {
      position: relative;
      padding: var(--slide-padding-top) 0 var(--slide-padding-bottom);
      width: 100%;
      height: auto;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex; }
    .front-banner__swiper .swiper-pagination {
      --swiper-pagination-color: var(--accent-secondary-default) !important;
      bottom: calc(var(--slide-padding-bottom) - 3.4375rem) !important; }
      @media screen and (max-width: 750px) {
        .front-banner__swiper .swiper-pagination {
          bottom: calc(var(--slide-padding-bottom) - 3.125rem) !important;
          margin: 0 auto !important;
          -webkit-transform: translateX(-50%) !important;
              -ms-transform: translateX(-50%) !important;
                  transform: translateX(-50%) !important; } }
  .front-banner .container {
    position: relative; }
    .front-banner .container .swiper-navigation {
      position: absolute;
      right: var(--container-offset);
      bottom: 0;
      z-index: 1; }
  .front-banner__info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -ms-flex-item-align: stretch;
        align-self: stretch;
    gap: 2.8125rem; }
    @media screen and (min-width: 1921px) {
      .front-banner__info {
        gap: 2.34375vw; } }
    @media screen and (max-width: 1360px) {
      .front-banner__info {
        gap: 2.1875rem; } }
    @media screen and (max-width: 750px) {
      .front-banner__info {
        gap: 1.5625rem; } }
    .front-banner__info_padding {
      padding-top: 6.5625rem; }
      @media screen and (min-width: 1921px) {
        .front-banner__info_padding {
          padding-top: 5.46875vw; } }
      @media screen and (max-width: 1360px) {
        .front-banner__info_padding {
          padding-top: 5.5625rem; } }
      @media screen and (max-width: 750px) {
        .front-banner__info_padding {
          padding-top: 5.0625rem; } }
  .front-banner__review {
    width: 100%;
    max-width: 30.4375rem; }
    @media screen and (min-width: 1921px) {
      .front-banner__review {
        max-width: 25.36458vw; } }
    @media screen and (max-width: 1360px) {
      .front-banner__review {
        max-width: 24.5rem; } }
    @media screen and (max-width: 750px) {
      .front-banner__review {
        max-width: 100%; } }
  .front-banner .section__head {
    width: 100%;
    max-width: 43.75rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 1.875rem; }
    @media screen and (min-width: 1921px) {
      .front-banner .section__head {
        max-width: 36.45833vw;
        gap: 1.5625vw; } }
    @media screen and (max-width: 1700px) {
      .front-banner .section__head {
        max-width: 30.4375rem;
        gap: 1.5625rem; } }
    @media screen and (max-width: 1360px) {
      .front-banner .section__head {
        max-width: 24.5625rem;
        gap: 1.25rem; } }
    @media screen and (max-width: 750px) {
      .front-banner .section__head {
        max-width: unset;
        gap: 0.9375rem; } }
    .front-banner .section__head_text-light {
      --text-dark-primary: var(--text-light-primary);
      --text-dark-secondary: var(--text-light-secondary); }
  .front-banner .section__description {
    width: 100%;
    display: block;
    font: var(--font-body-L-m); }
  .front-banner__buttons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 0.9375rem; }
    @media screen and (min-width: 1921px) {
      .front-banner__buttons {
        gap: 0.78125vw; } }
    @media screen and (max-width: 750px) {
      .front-banner__buttons .button:not(:last-child) {
        -webkit-box-flex: 1;
            -ms-flex-positive: 1;
                flex-grow: 1; } }
    @media screen and (max-width: 480px) {
      .front-banner__buttons {
        width: 100%; } }
  .front-banner__play {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    display: none; }
    @media screen and (max-width: 750px) {
      .front-banner__play {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex; } }
    .front-banner__play.button_primary {
      --button-bg-color: rgb(58, 142, 190);
      --button-bg-color-hover: rgb(51, 87, 166);
      --button-icon-color: var(--bg-white);
      --button-icon-color-hover: var(--bg-white);
      -webkit-box-shadow: 0 4px 19px 0 var(--button-bg-color), 0 3px 21px 0 rgba(255, 133, 74, 0.3), 0 3px 0 0 var(--button-bg-color-hover);
              box-shadow: 0 4px 19px 0 var(--button-bg-color), 0 3px 21px 0 rgba(255, 133, 74, 0.3), 0 3px 0 0 var(--button-bg-color-hover);
      -webkit-transition: color var(--animation-default), background-color var(--animation-default), -webkit-box-shadow var(--animation-default);
      transition: color var(--animation-default), background-color var(--animation-default), -webkit-box-shadow var(--animation-default);
      transition: color var(--animation-default), background-color var(--animation-default), box-shadow var(--animation-default);
      transition: color var(--animation-default), background-color var(--animation-default), box-shadow var(--animation-default), -webkit-box-shadow var(--animation-default); }
      @media screen and (min-width: 1921px) {
        .front-banner__play.button_primary {
          -webkit-box-shadow: 0 0.20833vw 0.98958vw 0 var(--button-bg-color), 0 0.15625vw 1.09375vw 0 rgba(255, 133, 74, 0.3), 0 0.15625vw 0 0 #8433D0;
                  box-shadow: 0 0.20833vw 0.98958vw 0 var(--button-bg-color), 0 0.15625vw 1.09375vw 0 rgba(255, 133, 74, 0.3), 0 0.15625vw 0 0 #8433D0; } }
      @media (any-hover: hover) {
        .front-banner__play.button_primary:hover {
          -webkit-box-shadow: 0 0 0 0 var(--button-bg-color), 0 0 0 0 rgba(255, 133, 74, 0.3), 0 0 0 0 var(--button-bg-color-hover);
                  box-shadow: 0 0 0 0 var(--button-bg-color), 0 0 0 0 rgba(255, 133, 74, 0.3), 0 0 0 0 var(--button-bg-color-hover); } }
  .front-banner .video-button {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: 8% 39% auto auto; }
    @media screen and (max-width: 1700px) {
      .front-banner .video-button {
        margin: 15% 32% auto auto; } }
    @media screen and (max-width: 750px) {
      .front-banner .video-button {
        display: none; } }
    @media screen and (max-width: 890px) {
      .front-banner .video-button {
        margin: 20% 20% auto auto; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
